<template>
  <div class="dibs--form--input--with-picto">
    <input
      :id="id"
      v-model.lazy="currentValue"
      v-money="money"
      class="dibs--form--input"
      type="text"
      @input="$emit('input', $event)"
    />
    <div class="dibs--form--input--picto">CHF</div>
  </div>
</template>
<script>
import { VMoney } from 'v-money'
export default {
  directives: { money: VMoney },
  props: {
    id: {
      type: [String],
      required: true,
    },
    default: {
      type: [String],
      default: null,
    },
  },
  data() {
    return {
      currentValue: this.default ? this.default : 0,
      money: {
        decimal: '.',
        thousands: '’',
        precision: 2,
        masked: false /* doesn't work with directive */,
      },
    }
  },
}
</script>
